unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, Menus, StdCtrls, ImgList, Grids, ValEdit,benchmark,addon;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    Datei1: TMenuItem;
    Neu1: TMenuItem;
    ffnen1: TMenuItem;
    Speichern1: TMenuItem;
    N1: TMenuItem;
    Beenden1: TMenuItem;
    Speichernunter1: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TreeView1: TTreeView;
    Splitter1: TSplitter;
    ListView1: TListView;
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter2: TSplitter;
    TreeView2: TTreeView;
    ImageList1: TImageList;
    Hilfe1: TMenuItem;
    Info1: TMenuItem;
    TabSheet3: TTabSheet;
    ValueListEditor1: TValueListEditor;
    Exportieren1: TMenuItem;
    N2: TMenuItem;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    procedure Beenden1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
  private
    { Private declarations }
  public
   bmark:TBenchmark;
   bmarkint:IBenchmark;
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Beenden1Click(Sender: TObject);
begin
Application.Terminate;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
bmark:=TBenchmark.Create;
bmarkint:=bmark;
bmark.PropertyTree:=TreeView2;
bmark.PropertyList:=ValueListEditor1;
bmark.ResultTree:=TreeView1;
bmark.fResultList:=ListView1;
bmark.ResultImage:=Image1;
TreeView2.OnChange:=bmark.PropertyTreeChange;
TreeView1.OnChange:=bmark.ResultTreeChange;
ValueListEditor1.OnValidate:=bmark.PropertyListValidate;
bmark.AddProperty('Allgemein\OpenGL\Auflsung','800*600','640*480|800*600');
bmark.AddProperty('Allgemein\OpenGL\Farbtiefe','32 Bit','16 Bit|32 Bit');
bmark.LoadModules;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
bmark.FreeModules;
bmarkint:=nil;
bmark:=nil;
end;

procedure TForm1.PageControl1Change(Sender: TObject);
begin
if PageControl1.ActivePage=TabSheet3 then
begin
 bmark.Run;
 PageControl1.ActivePage:=TabSheet2;
end; 
end;

end.
