unit addon;

interface

uses windows;

type

IBenchmark=interface
 function AddProperty(propname,defvalue,list:pchar):integer;
 function GetProperty(index:integer;val:pchar):integer;
 function AddResult(propname,val:pchar):integer;
 procedure AddResultImage(propname:pchar;bitmap:HBITMAP);
 function ProcessMessages:boolean;
end;

TAddResultProc=procedure(path,prop,val:pchar) of object;
TAddPropertyProc=procedure(propname,defvalue,list:pchar) of object;

IBenchmarkModule=interface
 function GetCategory:PChar;
 function GetInfoText:PChar;
 function GetName:PChar;
 property Category:PChar read GetCategory;
 property InfoText:PChar read GetInfoText;
 property Name:PChar read GetName;
 function Run:Boolean;
 procedure Init(const bm:IBenchmark);
end;

implementation

end.
